%define oname   test_construct

Name:       ruby-%{oname}
Version:    2.0.2
Release:    %mkrel 2
Summary:    Creates temporary files and directories for testing
License:    MIT
Group:      Development/Ruby
URL:        https://rubygems.org/gems/test_construct
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-test-construct < 1.2.0-10

%description
Creates temporary files and directories for testing.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}
Obsoletes:  ruby-test-construct-doc < 1.2.0-10

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc
%{gem_docdir}



%changelog
* Fri Mar 25 2022 umeabot <umeabot> 2.0.2-2.mga9
+ Revision: 1826523
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.0.2-1.mga8
+ Revision: 1561456
- Update to 2.0.2

* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1499941
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.1-3.mga7
+ Revision: 1275272
- Mageia 7 Mass Rebuild

* Fri Apr 15 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 1001605
- obsoletes also ruby-test-construct-doc

* Sun Mar 13 2016 pterjan <pterjan> 2.0.1-1.mga6
+ Revision: 989815
- imported package ruby-test_construct

